package com.qmth.teachcloud.mark.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.entity.BasicExam;
import com.qmth.teachcloud.common.enums.mark.SubjectiveStatus;
import com.qmth.teachcloud.mark.bean.scanexaminfo.ScanExamInfoVo;
import com.qmth.teachcloud.mark.entity.MarkStudent;

/**
 * <p>
 * 考试考生库 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkStudentService extends IService<MarkStudent> {

    List<String> listClassByExamIdAndCourseCode(Long examId, String paperNumber);

    void updateSubjectiveStatusAndScore(Long studentId, SubjectiveStatus status, Double score, String scoreList);

	ScanExamInfoVo getScanExamInfo(BasicExam exam);
}
